DPKG-DIVERT(8)

NOM
dpkg-divert - remplacer la version d'un fichier contenu dans un paquet.

SYNOPSIS
dpkg-divert [options] [--add] <fichier>
dpkg-divert [options] --remove <fichier>
dpkg-divert [options] --list <motif-de-recherche>
dpkg-divert [options] --truename <fichier>

DESCRIPTION
Le « détournement » de fichier est un moyen d'obliger dpkg à installer un fichier non pas dans l'emplacement prévu mais dans un autre. Les scripts des paquets Debian se servent de la déviation pour déplacer les fichiers qui créent des conflits. Les administrateurs s'en servent, lors de l'installation d'une version plus récente d'un paquet, pour remplacer les fichiers de configuration de certains paquets, ou bien à chaque fois que des fichiers (qui ne sont pas des « conffiles ») ont besoin d'être préservés par Dpkg.

dpkg-divert est le programme qu'on utilise pour créer et mettre à jour la liste des détournements. Il possède trois modes élémentaires - l'ajout, la suppression et le listage d'un détournement. Les options sont respectivement --add, --remove, et --list. De plus, il peut afficher le vrai nom d'un fichier détourné avec --truename.. On peut indiquer d'autres options (voyez la liste ci-dessous).

OPTIONS

--admindir <répertoire>
    Définit le répertoire de données de Dpkg comme <répertoire> (par défaut c'est /var/lib/dpkg).

--divert <détourner-dans>
    <détourner-dans> est le nom utilisé pour les autres versions des paquets.

--help
    Affiche la version, quelques instructions d'aide, et se termine normalement.

--local
    Indique que toutes les versions des paquets sont détournées.

--package <paquet>
    <paquet> est le nom du paquet dont la copie de <fichier> ne sera pas détournée.

--quiet
    Mode silencieux, pas de bavardage.

--rename
    Met en fait le fichier de côté. Quand le fichier de destination existe, dpkg-divert interrompt l'opération.

--test
    Mode de test, ne rien modifier réellement, seulement montrer.

--version
    Affiche le nom du programme et sa version puis se termine normalement.

NOTES
Pour l'ajout, le défaut est --local et --divert <original>.distrib. Pour la suppression, --package ou --local et --divert doivent correspondre quand ils sont précisés. On ne peut pas détourner des répertoires avec dpkg-divert. Il faut faire attention quand une bibliothèque partagée est détournée. ldconfig (8) crée un lien symbolique à partir du champ DT_SONAME embarqué dans la bibliothèque. ldconfig ne connaît pas les détournements (seul dpkg le fait), et si une bibliothèque détournée possède le même SONAME que la bibliothèque non détournée, le lien symbolique peut pointer en fin de compte sur la bibliothèque détournée.

EXAMPLES
Pour détourner toutes les copies de /usr/bin/example.foo vers /usr/bin/example, il faut modifier le nom si c'est demandé :

dpkg-divert --divert /usr/bin/example --rename /usr/bin/example.foo

Pour supprimer ce détournement :

dpkg-divert --rename --remove /usr/bin/example.foo

Pour détourner un paquet qui veut installer /usr/bin/example dans /usr/bin/example.foo, sauf votre propre paquet wibble

dpkg-divert --package wibble --divert /usr/bin/example.foo --rename /usr/bin/example

Pour supprimer ce ce détournement :

dpkg-divert --package wibble --rename --remove /usr/bin/example

FICHIERS

/var/lib/dpkg/diversions
    Ce fichier contient la liste actuelle des détournements en oeuvre sur le système. Il se trouve dans le répertoire d'administration de Dpkg, avec d'autres fichiers importants comme « status » ou « available ».
    Note: dpkg-divert préserve l'ancienne copie de ce fichier, avec l'extension « -old », avant de la remplacer par la nouvelle.

VOIR AUSSI
dpkg(8).

AUTEUR
Copyright (C) 1995 Ian Jackson.

C'est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Philippe Batailler, 2005. Veuillez signaler toute erreur à <debian-l10-french@lists.debian.org>.